import { NgModule, ModuleWithProviders } from '@angular/core';

import { ModuleConfig } from '@ucap/protocol-info';

import { _MODULE_CONFIG } from './config/token';

import { InfoProtocolService } from './services/info-protocol.service';

const SERVICES = [InfoProtocolService];

@NgModule({})
export class InfoProtocolRootModule {}

@NgModule({})
export class InfoProtocolModule {
  public static forRoot(
    config: ModuleConfig
  ): ModuleWithProviders<InfoProtocolRootModule> {
    return {
      ngModule: InfoProtocolRootModule,
      providers: [{ provide: _MODULE_CONFIG, useValue: config }, ...SERVICES]
    };
  }
}
