import { Pipe, PipeTransform } from '@angular/core';
import { HtmlUtil } from '../utils/html.util';

@Pipe({
  name: 'ucapLinefeedToHtml'
})
export class LinefeedToHtmlPipe implements PipeTransform {
  public transform(str: string): string {
    return HtmlUtil.linefeedToHtml(str);
  }
}

@Pipe({
  name: 'ucapHtmlToLinefeed'
})
export class HtmlToLinefeedPipe implements PipeTransform {
  public transform(str: string): string {
    return HtmlUtil.htmlToLinefeed(str);
  }
}
