import { Type } from '@angular/core';

import { Effects as CommonEffects } from './common/effects';
import { Effects as LoginEffects } from './login/effects';
import { Effects as AuthorizationEffects } from './authorization/effects';

export const effects: Type<any>[] = [
  CommonEffects,
  LoginEffects,
  AuthorizationEffects
];
