import { Selector, createSelector } from '@ngrx/store';

import { LoginResponse } from '@ucap/protocol-authentication';

export interface State {
  loginRes: LoginResponse | null;
}

export const initialState: State = {
  loginRes: null
};

export function selectors<S>(selector: Selector<any, State>) {
  return {
    loginRes: createSelector(selector, (state: State) => state.loginRes)
  };
}
